Package ghidra.util.database

# Class AbstractDirectedRecordIterator

java.lang.Object
ghidra.util.database.AbstractDirectedRecordIterator

All Implemented Interfaces:
  `DirectedIterator<DBRecord>`, `DirectedRecordIterator`

Direct Known Subclasses:
  `BackwardRecordIterator`, `ForwardRecordIterator`

public abstract class AbstractDirectedRecordIterator extends Object implements DirectedRecordIterator
An abstract implementation of `DirectedRecordIterator`

Essentially, this just wraps a `RecordIterator`, but imposes and encapsulates its direction.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface ghidra.util.database.DirectedIterator

  `DirectedIterator.Direction`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final RecordIterator`
  `it`

  ### Fields inherited from interface ghidra.util.database.DirectedRecordIterator

  `EMPTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractDirectedRecordIterator(RecordIterator it)`
  Wrap the given iterator

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `delete()`
  Delete the current record

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.util.database.DirectedIterator

  `hasNext, next`

- ## Field Details

  - ### it

    protected final RecordIterator it

- ## Constructor Details

  - ### AbstractDirectedRecordIterator

    public AbstractDirectedRecordIterator(RecordIterator it)
    Wrap the given iterator
    Parameters:
      `it` - the iterator

- ## Method Details

  - ### delete

    public boolean delete() throws IOException
    Description copied from interface: `DirectedIterator`
    Delete the current record
    Specified by:
      `delete` in interface `DirectedIterator<DBRecord>`
    Returns:
      true if successful
    Throws:
      `IOException` - if the table cannot be accessed